import sqlite3
import pandas as pd

# Read CSV file and isolate the columns we need
# Also do a dropna() drop any rows that are missing
# data
df = pd.read_csv('GDP.csv')
df = df[['Country Code','1995','2005']].dropna()
rows = df.values

# Connect to the database
conn = sqlite3.connect('GDP.db')
c = conn.cursor()
print("Opened database successfully")

# Do an insert statement to make a row in the database for each
# row in the dataframe.
for row in rows:
    c.execute("INSERT INTO gdp(code,g95,g05) VALUES (?,?,?)",row)

# Commit database changes
conn.commit()
print("Records created successfully")
conn.close()
