import json
import sqlite3

# Load the data into a list.
filename = 'population_data.json'
with open(filename) as f:
    pop_data = json.load(f)

# Connect to the database
conn = sqlite3.connect('GDP.db')
c = conn.cursor()
print("Opened database successfully")

# Load the population data
for entry in pop_data:
    if entry['Year'] == '1995':
        c.execute("UPDATE gdp SET p95 = ? WHERE code = ?",(entry['Value'],entry['Country Code']))
    elif entry['Year'] == '2005':
        c.execute("UPDATE gdp SET p05 = ? WHERE code = ?",(entry['Value'],entry['Country Code']))
conn.commit()

# Compute gdp per capita and growth rates
c.execute("UPDATE gdp SET gpc95 = g95/p95 WHERE g95 IS NOT NULL and p95 IS NOT NULL")
c.execute("UPDATE gdp SET gpc05 = g05/p05 WHERE g05 IS NOT NULL and p05 IS NOT NULL")
c.execute("UPDATE gdp SET pg = (p05-p95)/p95 WHERE p95 IS NOT NULL and p05 IS NOT NULL")
c.execute("UPDATE gdp SET gg = (gpc05-gpc95)/gpc95 WHERE gpc95 IS NOT NULL and gpc05 IS NOT NULL")
conn.commit()
print("Records updated successfully")

conn.close()