import sqlite3
import matplotlib.pyplot as plt

# Set up the database connection
conn = sqlite3.connect('GDP.db')
c = conn.cursor()
print("Opened database successfully")

# Run the query
sql = "SELECT pg, gg FROM gdp WHERE pg IS NOT NULL and gg IS NOT NULL"
c.execute(sql)

# Process the results
p = []
g = []
for pg, gg in c.fetchall():
    if gg < 20:
        p.append(pg)
        g.append(gg)

# Construct the plot
plt.plot(p,g,'bs')
plt.title('GDP growth vs Pop growth')
plt.savefig('plot.png')
print('Saved plot')